dnsjit.filter.layer(3)

NAME
dnsjit.filter.layer - Parse the ether/IP stack

SYNOPSIS
  local filter = require("dnsjit.filter.layer").new()

DESCRIPTION
Parse the ether/IP stack of the received objects and send the top most object to the receivers. Objects are chained which each layer in the stack with the top most first. Currently supports input dnsjit.core.object.pcap.

  Functions

Layer.new()
    Create a new Layer filter.

Layer:log()
    Return the Log object to control logging of this instance or module.

Layer:receive()
    Return the C functions and context for receiving objects.

Layer:receiver(o)
    Set the receiver to pass objects to.

Layer:produce()
    Return the C functions and context for producing objects.

Layer:producer(o)
    Set the producer to get objects from.

SEE ALSO
dnsjit.core.object.pcap(3), dnsjit.core.object.ether(3), dnsjit.core.object.null(3), dnsjit.core.object.loop(3), dnsjit.core.object.linuxsll(3), dnsjit.core.object.ieee802(3), dnsjit.core.object.gre(3), dnsjit.core.object.ip(3), dnsjit.core.object.ip6(3), dnsjit.core.object.icmp(3), dnsjit.core.object.icmp6(3), dnsjit.core.object.udp(3), dnsjit.core.object.tcp(3), dnsjit.core.object.payload(3)

AUTHORS and CONTRIBUTORS
Jerry Lundström (DNS-OARC), Tomáš Křížek (CZ.NIC), Petr Špaček (ISC)

Maintained by DNS-OARC

    https://www.dns-oarc.net/

BUGS
For issues and feature requests please use:

    https://codeberg.org/DNS-OARC/dnsjit/issues

For question and help please use:

    admin@dns-oarc.net